PropertyAccessorCollector (Jackson module: Afterburner 2.12.0 API)
Date: 2020-11-28

com.fasterxml.jackson.module.afterburner.ser

## Class PropertyAccessorCollector

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase
  - - com.fasterxml.jackson.module.afterburner.ser.PropertyAccessorCollector

-     public class PropertyAccessorCollector
      extends DynamicPropertyAccessorBase

  Simple collector used to keep track of properties for which code-generated accessors are needed.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

      `_accessorCount, ALL_INT_CONSTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyAccessorCollector(Class<?> beanClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanFieldPropertyWriter` | `addBooleanField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `BooleanMethodPropertyWriter` | `addBooleanGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `IntFieldPropertyWriter` | `addIntField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `IntMethodPropertyWriter` | `addIntGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `LongFieldPropertyWriter` | `addLongField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `LongMethodPropertyWriter` | `addLongGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `ObjectFieldPropertyWriter` | `addObjectField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `ObjectMethodPropertyWriter` | `addObjectGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `StringFieldPropertyWriter` | `addStringField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `StringMethodPropertyWriter` | `addStringGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)`
    `BeanPropertyAccessor` | `findAccessor(MyClassLoader classLoader)`
    `Class<?>` | `generateAccessorClass(MyClassLoader classLoader, ClassName baseName)`

    - ### Methods inherited from class com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

      `_add, generateException, internalClassName, isEmpty, isInterfaceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyAccessorCollector

          public PropertyAccessorCollector(Class<?> beanClass)

  - ### Method Detail

    - #### addBooleanGetter

          public BooleanMethodPropertyWriter addBooleanGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addIntGetter

          public IntMethodPropertyWriter addIntGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addLongGetter

          public LongMethodPropertyWriter addLongGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addStringGetter

          public StringMethodPropertyWriter addStringGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addObjectGetter

          public ObjectMethodPropertyWriter addObjectGetter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addBooleanField

          public BooleanFieldPropertyWriter addBooleanField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addIntField

          public IntFieldPropertyWriter addIntField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addLongField

          public LongFieldPropertyWriter addLongField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addStringField

          public StringFieldPropertyWriter addStringField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### addObjectField

          public ObjectFieldPropertyWriter addObjectField(com.fasterxml.jackson.databind.ser.BeanPropertyWriter bpw)

    - #### findAccessor

          public BeanPropertyAccessor findAccessor(MyClassLoader classLoader)

    - #### generateAccessorClass

          public Class<?> generateAccessorClass(MyClassLoader classLoader,
                                                ClassName baseName)

Copyright © 2020 FasterXML. All rights reserved.